## plasma-workspace 6.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(plasma-workspace)
set(PROJECT_VERSION "6.5.2")
string(REPLACE "." ";" VERSION_LIST ${PROJECT_VERSION})
list(GET VERSION_LIST 0 PROJECT_VERSION_MAJOR)
list(GET VERSION_LIST 1 PROJECT_VERSION_MINOR)
list(GET VERSION_LIST 2 PROJECT_VERSION_PATCH)

set(PROJECT_DEP_VERSION "6.5.2")
set(QT_MIN_VERSION "6.9.0")
set(KF6_MIN_VERSION "6.18.0")
option(PLASMA_X11_DEFAULT_SESSION "Use X11 session by default for Plasma" OFF)
option(INSTALL_SDDM_WAYLAND_SESSION OFF)
option(WITH_X11 "Build with X11 support. Building without is experimental" ON)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMMarkNonGuiExecutable)
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckIncludeFiles)
include(FeatureSummary)
include(ECMOptionalAddSubdirectory)
include(ECMQtDeclareLoggingCategory)
include(ECMQueryQt)
include(ECMInstallIcons)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(ECMFindQmlModule)
include(ECMGenerateExportHeader)
include(ECMGenerateQmlTypes)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(PkgConfig REQUIRED)
pkg_check_modules(PipeWire QUIET IMPORTED_TARGET libpipewire-0.3)
add_feature_info(PipeWire PipeWire_FOUND "Required for camera indicator applet and Wayland screencasting testing")
set(BUILD_CAMERAINDICATOR_DEFAULT OFF)
if(PipeWire_FOUND)
    set(BUILD_CAMERAINDICATOR_DEFAULT ON)
endif()
option(BUILD_CAMERAINDICATOR "Build the camera indicator Plasma applet" ${BUILD_CAMERAINDICATOR_DEFAULT})

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
                    Concurrent Core5Compat DBus Location Network Positioning Quick QuickWidgets
                    ShaderTools Sql Svg Widgets)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
    find_package(Qt6WaylandClientPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(QCoro6 REQUIRED COMPONENTS Core)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
                    Archive Auth CoreAddons Crash DBusAddons Declarative GlobalAccel GuiAddons
                    Holidays I18n IconThemes IdleTime ItemModels KCMUtils KDED KIO NewStuff
                    Notifications NotifyConfig Package Parts Prison Runner StatusNotifierItem
                    Svg TextEditor TextWidgets Wallet ColorScheme
                    OPTIONAL_COMPONENTS DocTools)
find_package(Plasma5Support ${PROJECT_DEP_VERSION} REQUIRED)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaQuick ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KWayland ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivitiesStats ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KSysGuard ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(KSysGuard PROPERTIES
    DESCRIPTION "Components to monitor the system"
    TYPE REQUIRED
)
find_package(KF6Screen ${PROJECT_DEP_VERSION} CONFIG REQUIRED)
find_package(LayerShellQt ${PROJECT_DEP_VERSION} CONFIG REQUIRED)

if (BUILD_TESTING)
    include(ECMAddTests)
    find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Test QuickTest)
    find_package(Qt6 REQUIRED CONFIG COMPONENTS WaylandCompositor)
endif()

find_package(KF6Kirigami ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6Kirigami PROPERTIES
    DESCRIPTION "A QtQuick based components set"
    TYPE RUNTIME
)

find_package(KF6KirigamiAddons 0.10.0 CONFIG)
set_package_properties(KF6KirigamiAddons PROPERTIES
    DESCRIPTION "Extra controls for Kirigami applications"
    PURPOSE "Required at runtime for the User KCM"
    TYPE RUNTIME
)

find_package(KF6NetworkManagerQt ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6NetworkManagerQt PROPERTIES
    DESCRIPTION "Qt wrapper for NetworkManager API"
    PURPOSE "Needed for location-based time zone changes."
    TYPE OPTIONAL
)

find_package(KF6QuickCharts ${KF6_MIN_VERSION} CONFIG)
set_package_properties(KF6QuickCharts PROPERTIES
    DESCRIPTION "Used for rendering charts"
    TYPE RUNTIME
)

find_package(KF6UserFeedback)

find_package(KF6Baloo)
set_package_properties(KF6Baloo PROPERTIES DESCRIPTION "File Searching"
                       TYPE RECOMMENDED
                       PURPOSE "Needed for the File Search runner."
                      )

pkg_check_modules(QALCULATE libqalculate>2.0 IMPORTED_TARGET)
set_package_properties(QALCULATE PROPERTIES
   DESCRIPTION "A library for calculations, used in runners/calculator"
   TYPE REQUIRED)
pkg_check_modules(DBus dbus-1 REQUIRED IMPORTED_TARGET)

find_package(KWinDBusInterface CONFIG REQUIRED)
find_package(ScreenSaverDBusInterface CONFIG REQUIRED)

# Used in kcm_autostart
pkg_check_modules(SYSTEMD "systemd")

find_package(Phonon4Qt6 4.6.60 REQUIRED NO_MODULE)
set_package_properties(Phonon4Qt6 PROPERTIES
   DESCRIPTION "Qt-based audio library"
   TYPE REQUIRED)

find_package(Canberra)
set_package_properties(Canberra PROPERTIES
    PURPOSE "Needed to preview notification sounds"
    TYPE REQUIRED)

find_package(Breeze ${PROJECT_DEP_VERSION} CONFIG)
set_package_properties(Breeze PROPERTIES
                       TYPE OPTIONAL
                       PURPOSE "For setting the default window decoration plugin")

find_package(ZLIB)
set_package_properties(ZLIB PROPERTIES DESCRIPTION "Support for gzip compressed files and data streams"
                       URL "https://www.zlib.net"
                       TYPE REQUIRED
                      )

find_package(Fontconfig)
set_package_properties(Fontconfig PROPERTIES DESCRIPTION "Font access configuration library"
                       URL "https://www.freedesktop.org/wiki/Software/fontconfig"
                       TYPE OPTIONAL
                       PURPOSE "Needed to build font configuration and installation tools"
                      )

find_package(PackageKitQt6)
set_package_properties(PackageKitQt6
        PROPERTIES DESCRIPTION "Software Manager integration"
        TYPE OPTIONAL
        PURPOSE "Used to install additional language packages on demand and integrate for offline updates"
)
option(PACKAGEKIT_OFFLINE_UPDATES "Integrate with PackageKit for offline updates" OFF)
add_feature_info(PACKAGEKIT_OFFLINE_UPDATES PackageKitQt6_FOUND "Integrate with PackageKit for offline updates")
set(PACKAGEKIT_OFFLINE_UPDATES ${PackageKitQt6_FOUND})

if(PLASMA_X11_DEFAULT_SESSION)
    set(WITH_X11 1)
endif()

if(WITH_X11)
    find_package(X11)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                            URL "https://www.x.org"
                            TYPE REQUIRED
                            PURPOSE "Required for building the X11 based workspace")
    function(check_X11_lib _lib)
        if (NOT TARGET X11::${_lib})
            message(SEND_ERROR "Required component ${_lib} of X11 was not found")
        endif()
    endfunction()
    check_X11_lib(ICE)
    check_X11_lib(SM)
    check_X11_lib(X11)
    check_X11_lib(Xau)
    check_X11_lib(Xcursor)
    check_X11_lib(Xfixes)
    check_X11_lib(Xft)
    check_X11_lib(Xrender)
    check_X11_lib(Xtst)

    set(HAVE_X11 1)
    set(HAVE_XCURSOR 1)
    set(HAVE_XFIXES 1)

    find_package(XCB MODULE REQUIRED COMPONENTS AUX XCB CURSOR RANDR IMAGE)
    set_package_properties(XCB PROPERTIES TYPE REQUIRED)

    find_package(KScreenLocker ${PROJECT_DEP_VERSION} REQUIRED)
else()
    set(HAVE_X11 0)
    set(HAVE_XCURSOR 0)
    set(HAVE_XFIXES 0)
endif()

# FreeBSD systems might have libxcrypt but their shadow equivalent doesn't use it
if(CMAKE_SYSTEM_NAME MATCHES "Linux")
    pkg_check_modules(libxcrypt libxcrypt>=4)
    if(libxcrypt_FOUND)
        set(HAVE_CRYPT_GENSALT true)
    endif()
endif()

find_package(Qt6WaylandClient COMPONENTS Private)
find_package(PlasmaWaylandProtocols 1.6 REQUIRED)
find_package(Wayland REQUIRED COMPONENTS Client Server) # Server is used in autotests

if(FONTCONFIG_FOUND)
  # kfontinst
  find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS PrintSupport)
endif()

find_package(AppStreamQt 1.0) # 1.0 will be the first release to support Qt6
set_package_properties(AppStreamQt PROPERTIES DESCRIPTION "Access metadata for listing available software"
                       URL "https://www.freedesktop.org/wiki/Distributions/AppStream/"
                       TYPE OPTIONAL)

if(AppStreamQt_FOUND)
    set(HAVE_APPSTREAMQT true)
endif()

find_package(UDev REQUIRED)
set_package_properties(UDev PROPERTIES
    PURPOSE "Allows to play notification sounds when (un)plugging devices"
    TYPE REQUIRED
)

# Region & Language KCM
if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    # notes for packager:
    # This is the macro definition part of Region & Language KCM
    # Depending on your distributions, the KCM behaves differently
    # For Ubuntu based systems, this KCM uses "check-language-support" and PackageKit
    # to install relevant fonts and packages
    # You should enable option UBUNTU_PACKAGEKIT (it's auto detected though)
    #
    # For Glibc systems that don't come with pre-generated locales, such as ArchLinux
    # This KCM uses "/etc/locale.gen" and "locale-gen" to generate configured locales
    # and display a note to let user install fonts themselves if required
    # You shouldn't required to do anything in this case
    #
    # For Glibc systems that come with pre-generated locales, such as Fedora and openSUSE
    # a note to let user install fonts themselves if required is displayed
    # You should enable GLIBC_LOCALE_PREGENERATED option
    #
    # For non-glibc systems such as VoidLinux and *BSD
    # A warning of configure locale manually is displayed (although the relevant ENVs are set by Plasma)
    # You should disable GLIBC_LOCALE_GEN option


    # find out if the build system is Ubuntu based
    if (${CMAKE_VERSION} VERSION_LESS 3.22)
        find_program(LSB_RELEASE_EXEC lsb_release)
        execute_process(COMMAND ${LSB_RELEASE_EXEC} -is
            OUTPUT_VARIABLE DISTRO_NAME
            OUTPUT_STRIP_TRAILING_WHITESPACE
        )
        string(TOLOWER "${DISTRO_NAME}" DISTRO_NAME)
    else()
        cmake_host_system_information(RESULT DISTRO_NAME QUERY DISTRIB_ID)
        cmake_host_system_information(RESULT DISTRO_ID_LIKE QUERY DISTRIB_ID_LIKE)
    endif()

    string(COMPARE EQUAL "ubuntu" "${DISTRO_NAME}" SYSTEM_UBUNTU_BASED)
    string(FIND "${DISTRO_ID_LIKE}" "ubuntu" FINDINDEX)
    if(NOT (FINDINDEX EQUAL -1))
        set(SYSTEM_UBUNTU_BASED ON)
        find_program(LANGUAGE_SELECTOR_COMMON "check-language-support" DOC "Required for ubuntu-based distros to generate locale")
    endif()

    set(UBUNTU_LOCALE FALSE)
    option(UBUNTU_PACKAGEKIT "Install required package for language on Ubuntu Based systems, PackageKitQt6 required" ${SYSTEM_UBUNTU_BASED})
    if(UBUNTU_PACKAGEKIT)
        set(UBUNTU_LOCALE ${PackageKitQt6_FOUND})
    endif()

    set(GLIBC_LOCALE_GEN_DEFAULT ON)
    if(UBUNTU_LOCALE)
        set(GLIBC_LOCALE_GEN_DEFAULT OFF)
    endif()

    option(GLIBC_LOCALE_GEN "Auto generate Glibc locale with locale-gen and /etc/locale.gen" ${GLIBC_LOCALE_GEN_DEFAULT})
    if(GLIBC_LOCALE_GEN AND UBUNTU_LOCALE)
        message(FATAL_ERROR "UBUNTU_PACKAGEKIT and GLIBC_LOCALE_GEN both enabled, only UBUNTU_PACKEGKIT will be used")
    endif()
    if(GLIBC_LOCALE_GEN)
        set(GLIBC_LOCALE_AUTO TRUE)
    endif()
    set(REGION_LANG_GENERATE_LOCALE_HELPER FALSE)
    if(UBUNTU_LOCALE OR GLIBC_LOCALE_GEN)
        set(REGION_LANG_GENERATE_LOCALE_HELPER TRUE)
    endif()

    option(GLIBC_LOCALE_PREGENERATED "Systems that don't require locale generation. Such as openSUSE or Fedora" OFF)

=== appiumtests/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2022 Harald Sitter <sitter@kde.org>

if(NOT BUILD_TESTING OR NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    return()
endif()

find_package(SeleniumWebDriverATSPI)
set_package_properties(SeleniumWebDriverATSPI PROPERTIES
    DESCRIPTION "Server component for selenium tests using Linux accessibility infrastructure"
    PURPOSE "Needed for GUI tests"
    URL "https://invent.kde.org/sdk/selenium-webdriver-at-spi"
    TYPE OPTIONAL
)
if(NOT SeleniumWebDriverATSPI_FOUND AND NOT DEFINED ENV{KDECI_BUILD})
    return()
endif()

add_subdirectory(applets)
add_subdirectory(components_tests)
add_subdirectory(kcms)
add_subdirectory(krunner)
add_subdirectory(wallpapers)

=== appmenu/CMakeLists.txt ===
set(kded_appmenu_SRCS
    appmenu.cpp
    menuimporter.cpp
    appmenu_dbus.cpp
    verticalmenu.cpp

    appmenu.h
    menuimporter.h
    appmenu_dbus.h
    verticalmenu.h
    )

qt_add_dbus_adaptor(kded_appmenu_SRCS com.canonical.AppMenu.Registrar.xml
    menuimporter.h MenuImporter menuimporteradaptor MenuImporterAdaptor)

qt_add_dbus_adaptor(kded_appmenu_SRCS org.kde.kappmenu.xml
    appmenu_dbus.h AppmenuDBus appmenuadaptor AppmenuAdaptor)

kcoreaddons_add_plugin(appmenu SOURCES ${kded_appmenu_SRCS} INSTALL_NAMESPACE "kf6/kded")

pkg_check_modules(XKBCommon REQUIRED IMPORTED_TARGET xkbcommon)

target_link_libraries(appmenu
    Qt::DBus
    Qt::WaylandClientPrivate
    KF6::DBusAddons
    KF6::KIOCore
    Plasma::KWaylandClient
    KF6::WindowSystem
    Wayland::Client
    PkgConfig::XKBCommon
    dbusmenuqt
)
if (HAVE_X11)
    target_link_libraries(appmenu XCB::XCB)
endif()

ecm_qt_declare_logging_category(appmenu
    HEADER appmenu_debug.h
    IDENTIFIER APPMENU_DEBUG
    CATEGORY_NAME org.kde.plasma.appmenu
    DESCRIPTION "appmenu"
    EXPORT PLASMAWORKSPACE
)

########### install files ###############

install( FILES com.canonical.AppMenu.Registrar.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )
install( FILES org.kde.kappmenu.xml DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR} )

=== geotimezoned/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-2-Clause
# SPDX-FileCopyrightText: 2024 Kai Uwe Broulik <kde@broulik.de>

add_definitions(-DTRANSLATION_DOMAIN=\"kded_geotimezoned\")

set(geotimezoned_SRCS
    geotimezonemodule.cpp
    geotimezonemodule.h
)
qt_add_dbus_interface(geotimezoned_SRCS org.freedesktop.timedated1.xml timedated_interface)

kcoreaddons_add_plugin(geotimezoned
    SOURCES
    ${geotimezoned_SRCS}
    INSTALL_NAMESPACE "kf6/kded"
)

kconfig_target_kcfg_file(geotimezoned
    FILE geotimezonedstate.kcfg
    CLASS_NAME GeotimezonedState
    MUTATORS
)

ecm_qt_declare_logging_category(geotimezoned
    HEADER geotimezoned_debug.h
    IDENTIFIER GEOTIMEZONED_DEBUG
    CATEGORY_NAME org.kde.plasma.geotimezoned
    DESCRIPTION "Location-based System Time Zone"
    EXPORT PLASMAWORKSPACE
)

target_link_libraries(geotimezoned
    Qt6::DBus
    Qt6::Network
    KF6::DBusAddons
    KF6::ConfigGui
    KF6::CoreAddons
    KF6::I18n
    KF6::NetworkManagerQt
)

=== kcms/CMakeLists.txt ===
add_subdirectory(krdb)

add_subdirectory(desktoptheme)
add_subdirectory(icons)

if(KF6UserFeedback_FOUND)
    add_subdirectory(feedback)
endif()

add_subdirectory(style)
add_subdirectory(lookandfeel)
add_subdirectory(colors)
if(WITH_X11 AND X11_Xcursor_FOUND)
    add_subdirectory(cursortheme)
endif()

if(FONTCONFIG_FOUND)
    add_subdirectory( kfontinst )
    if (WITH_X11)
        # TODO should port away from Xcursor, maybe fork it like kwin did
        add_subdirectory( fonts )
    endif()
endif()

add_subdirectory(autostart)
add_subdirectory(region_language)
add_subdirectory(notifications)
add_subdirectory(nightlight)
add_subdirectory(nighttime)
add_subdirectory(users)
add_subdirectory(soundtheme)
add_subdirectory(wallpaper)
add_subdirectory(componentchooser)

=== libklookandfeel/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Vlad Zahorodnii <vlad.zahorodnii@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if(BUILD_TESTING)
   find_package(Qt6Test ${QT_MIN_VERSION} CONFIG REQUIRED)
   add_subdirectory(autotests)
endif()

if(HAVE_X11)
    set(HAVE_XCURSOR TRUE)
endif()

if(Breeze_FOUND)
    if(BREEZE_WITH_KDECORATION)
        set(HAVE_BREEZE_DECO TRUE)
    endif()
endif()

configure_file(config-klookandfeel.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-klookandfeel.h)

add_library(klookandfeel)
add_library(PW::KLookAndFeel ALIAS klookandfeel)

set_target_properties(klookandfeel PROPERTIES
        VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR}
        EXPORT_NAME KLookAndFeel
        OUTPUT_NAME klookandfeel
)

target_sources(klookandfeel PRIVATE
    ../kcms/colors/colorsapplicator.cpp
    ../kcms/kcms-common.cpp

    klookandfeel.cpp
    klookandfeelmanager.cpp
)

target_link_libraries(klookandfeel
    PUBLIC
        Qt::Core
        Qt::Gui
        KF6::ConfigCore
        KF6::Package
        KF6::Service
    PRIVATE
        Qt::DBus
        Qt::GuiPrivate
        Qt::Widgets
        KF6::ColorScheme
        KF6::GuiAddons
        KF6::I18n
        KF6::IconThemes
        KF6::KIOGui
        krdb
)

if (HAVE_X11)
    target_sources(klookandfeel PRIVATE
        ../kcms/cursortheme/xcursor/cursortheme.cpp
        ../kcms/cursortheme/xcursor/xcursortheme.cpp
    )
   target_link_libraries(klookandfeel PRIVATE KF6::WindowSystem X11::Xcursor X11::Xfixes)
endif ()

target_include_directories(klookandfeel
    PUBLIC
        "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/klookandfeel>"
)

generate_export_header(klookandfeel)

install(TARGETS klookandfeel EXPORT libklookandfeelLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(
    FILES
        klookandfeel.h
        klookandfeelmanager.h
        ${CMAKE_CURRENT_BINARY_DIR}/klookandfeel_export.h
    DESTINATION
        ${KDE_INSTALL_INCLUDEDIR}/klookandfeel
    COMPONENT Devel
)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_CMAKEPACKAGEDIR}/LibKLookAndFeel)
configure_package_config_file(LibKLookAndFeelConfig.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/LibKLookAndFeelConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

write_basic_config_version_file(${CMAKE_CURRENT_BINARY_DIR}/LibKLookAndFeelConfigVersion.cmake
    VERSION "${PROJECT_VERSION}"
    COMPATIBILITY AnyNewerVersion
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/LibKLookAndFeelConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/LibKLookAndFeelConfigVersion.cmake
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(
    EXPORT libklookandfeelLibraryTargets
    NAMESPACE PW::
    DESTINATION ${CMAKECONFIG_INSTALL_DIR}
    FILE LibKLookAndFeelLibraryTargets.cmake
)

=== libnotificationmanager/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libnotificationmanager\")

if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

set(notificationmanager_LIB_SRCS
    server.cpp
    server_p.cpp
    serverinfo.cpp
    settings.cpp
    mirroredscreenstracker.cpp
    fullscreentracker.cpp
    notifications.cpp
    notification.cpp

    abstractnotificationsmodel.cpp
    notificationsmodel.cpp
    notificationfilterproxymodel.cpp
    notificationsortproxymodel.cpp
    notificationgroupingproxymodel.cpp
    notificationgroupcollapsingproxymodel.cpp
    watchednotificationsmodel.cpp

    jobsmodel.cpp
    jobsmodel_p.cpp
    job.cpp
    job_p.cpp

    limitedrowcountproxymodel.cpp

    utils.cpp
)

ecm_qt_declare_logging_category(notificationmanager_LIB_SRCS
    HEADER debug.h
    IDENTIFIER NOTIFICATIONMANAGER
    CATEGORY_NAME org.kde.plasma.notificationmanager
    DESCRIPTION "Plasma Notifications" EXPORT LIBNOTIFICATIONMANAGER)

ecm_qt_install_logging_categories(
        EXPORT LIBNOTIFICATIONMANAGER
        FILE libnotificationmanager.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

# Settings
kconfig_add_kcfg_files(notificationmanager_LIB_SRCS kcfg/donotdisturbsettings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(notificationmanager_LIB_SRCS kcfg/notificationsettings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(notificationmanager_LIB_SRCS kcfg/jobsettings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(notificationmanager_LIB_SRCS kcfg/badgesettings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(notificationmanager_LIB_SRCS kcfg/behaviorsettings.kcfgc GENERATE_MOC)
kconfig_add_kcfg_files(notificationmanager_LIB_SRCS kcfg/eventsettings.kcfgc GENERATE_MOC)

# DBus
# Notifications
qt_add_dbus_adaptor(notificationmanager_LIB_SRCS dbus/org.freedesktop.Notifications.xml server_p.h NotificationManager::ServerPrivate)
qt_add_dbus_adaptor(notificationmanager_LIB_SRCS dbus/org.kde.notificationmanager.xml server_p.h NotificationManager::ServerPrivate)
qt_add_dbus_interface(notificationmanager_LIB_SRCS dbus/org.freedesktop.Notifications.xml fdonotifications_interface)
# JobView
qt_add_dbus_adaptor(notificationmanager_LIB_SRCS dbus/org.kde.kuiserver.xml jobsmodel_p.h NotificationManager::JobsModelPrivate)
qt_add_dbus_adaptor(notificationmanager_LIB_SRCS dbus/org.kde.JobViewServer.xml jobsmodel_p.h NotificationManager::JobsModelPrivate)
qt_add_dbus_adaptor(notificationmanager_LIB_SRCS dbus/org.kde.JobViewServerV2.xml jobsmodel_p.h NotificationManager::JobsModelPrivate)
qt_add_dbus_adaptor(notificationmanager_LIB_SRCS dbus/org.kde.JobViewV2.xml job_p.h NotificationManager::JobPrivate)
qt_add_dbus_adaptor(notificationmanager_LIB_SRCS dbus/org.kde.JobViewV3.xml job_p.h NotificationManager::JobPrivate)

add_library(notificationmanager ${notificationmanager_LIB_SRCS})
add_library(PW::LibNotificationManager ALIAS notificationmanager)

target_compile_definitions(notificationmanager PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")

generate_export_header(notificationmanager)

target_include_directories(notificationmanager PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>" "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>" "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/notificationmanager>")

target_link_libraries(notificationmanager
    PUBLIC
        Qt::Core
        Qt::Gui
        Qt::Quick
        KF6::ConfigCore
    PRIVATE
        Qt::DBus
        KF6::ConfigGui
        KF6::I18n
        KF6::WindowSystem
        KF6::ItemModels # KDescendantsProxyModel
        KF6::Notifications # Inhibition summary
        KF6::KIOFileWidgets
        Plasma::Plasma
        PW::LibTaskManager
        KF6::Screen
        KF6::Service
        Canberra::Canberra
)

set_target_properties(notificationmanager PROPERTIES
                      VERSION ${PROJECT_VERSION}
                      SOVERSION 1
                      EXPORT_NAME LibNotificationManager)

ecm_add_qml_module(notificationmanager URI org.kde.notificationmanager GENERATE_PLUGIN_SOURCE)
ecm_finalize_qml_module(notificationmanager)

install(TARGETS notificationmanager EXPORT notificationmanagerLibraryTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

install(FILES
    server.h
    notifications.h
    notification.h
    jobsmodel.h
    job.h
    settings.h
    ${CMAKE_CURRENT_BINARY_DIR}/donotdisturbsettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/notificationsettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/jobsettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/badgesettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/behaviorsettings.h
    ${CMAKE_CURRENT_BINARY_DIR}/notificationmanager_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/notificationmanager COMPONENT Devel
)

write_basic_config_version_file(${CMAKE_CURRENT_BINARY_DIR}/LibNotificationManagerConfigVersion.cmake VERSION "${PROJECT_VERSION}" COMPATIBILITY AnyNewerVersion)

set(CMAKECONFIG_INSTALL_DIR ${KDE_INSTALL_CMAKEPACKAGEDIR}/LibNotificationManager)

configure_package_config_file(LibNotificationManagerConfig.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/LibNotificationManagerConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/LibNotificationManagerConfig.cmake
              ${CMAKE_CURRENT_BINARY_DIR}/LibNotificationManagerConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(EXPORT notificationmanagerLibraryTargets
        NAMESPACE PW::
        DESTINATION ${CMAKECONFIG_INSTALL_DIR}
        FILE LibNotificationManagerLibraryTargets.cmake )

install(FILES plasmanotifyrc
        DESTINATION ${KDE_INSTALL_CONFDIR})

install(FILES libnotificationmanager.notifyrc
    DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

add_subdirectory(kconf_update)

=== menu/CMakeLists.txt ===
add_subdirectory(desktop)

=== phonon/CMakeLists.txt ===
add_subdirectory(platform_kde)

=== statusnotifierwatcher/CMakeLists.txt ===
set(kded_statusnotifierwatcher_SRCS statusnotifierwatcher.cpp )

qt_add_dbus_adaptor(kded_statusnotifierwatcher_SRCS     ${KSTATUSNOTIFIERITEM_DBUS_INTERFACES_DIR}/kf6_org.kde.StatusNotifierWatcher.xml
                     statusnotifierwatcher.h StatusNotifierWatcher)


set(statusnotifieritem_xml ${KSTATUSNOTIFIERITEM_DBUS_INTERFACES_DIR}/kf6_org.kde.StatusNotifierItem.xml)
set_source_files_properties(${statusnotifieritem_xml} PROPERTIES
   NO_NAMESPACE false
   INCLUDE "systemtraytypedefs.h"
   CLASSNAME OrgKdeStatusNotifierItemInterface
)
qt_add_dbus_interface(kded_statusnotifierwatcher_SRCS ${statusnotifieritem_xml} statusnotifieritem_interface)

kcoreaddons_add_plugin(statusnotifierwatcher SOURCES ${kded_statusnotifierwatcher_SRCS} INSTALL_NAMESPACE "kf6/kded")
target_link_libraries(statusnotifierwatcher Qt::DBus KF6::DBusAddons KF6::CoreAddons)

=== xembed-sni-proxy/CMakeLists.txt ===
find_package(XCB
    REQUIRED COMPONENTS
        XCB
        XFIXES
        DAMAGE
        COMPOSITE
        RANDR
        SHM
        UTIL
        IMAGE
)

set(XCB_LIBS
    XCB::XCB
    XCB::XFIXES
    XCB::DAMAGE
    XCB::COMPOSITE
    XCB::RANDR
    XCB::SHM
    XCB::UTIL
    XCB::IMAGE
)

set(XEMBED_SNI_PROXY_SOURCES
    main.cpp
    fdoselectionmanager.cpp fdoselectionmanager.h
    snidbus.cpp snidbus.h
    sniproxy.cpp
    xtestsender.cpp xtestsender.h
 )

qt_add_dbus_adaptor(XEMBED_SNI_PROXY_SOURCES org.kde.StatusNotifierItem.xml
                     sniproxy.h SNIProxy)

set(statusnotifierwatcher_xml org.kde.StatusNotifierWatcher.xml)
qt_add_dbus_interface(XEMBED_SNI_PROXY_SOURCES ${statusnotifierwatcher_xml} statusnotifierwatcher_interface)

ecm_qt_declare_logging_category(XEMBED_SNI_PROXY_SOURCES HEADER debug.h
                                               IDENTIFIER SNIPROXY
                                               CATEGORY_NAME kde.xembedsniproxy
                                               DEFAULT_SEVERITY Info
                                               DESCRIPTION "xembed sni proxy"
                                               EXPORT PLASMAWORKSPACE
                                           )

add_executable(xembedsniproxy ${XEMBED_SNI_PROXY_SOURCES})



set_package_properties(XCB PROPERTIES TYPE REQUIRED)


target_link_libraries(xembedsniproxy
    Qt::Core
    Qt::DBus
    KF6::DBusAddons
    KF6::WindowSystem
    KF6::CoreAddons
    KF6::Crash
    ${XCB_LIBS}
    X11::Xtst
)

install(TARGETS xembedsniproxy ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES xembedsniproxy.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})

ecm_install_configured_files(INPUT plasma-xembedsniproxy.service.in @ONLY DESTINATION  ${KDE_INSTALL_SYSTEMDUSERUNITDIR})

=== appiumtests/krunner/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Fushan Wen <qydwhotmail@gmail.com>
# SPDX-License-Identifier: BSD-3-Clause

add_test(
    NAME krunnertest
    COMMAND sh -c "mkdir -p /tmp/appium/krunnertest;dbus-launch selenium-webdriver-at-spi-run ${CMAKE_CURRENT_SOURCE_DIR}/krunnertest.py"
)
set_tests_properties(krunnertest PROPERTIES
    TIMEOUT 600
    ENVIRONMENT "XDG_RUNTIME_DIR=/tmp/appium/krunnertest;FLASK_PORT=4750")

=== debian/changelog ===
plasma-workspace (4:6.5.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Add the libcrypt-dev build dependency, used in the users KCM.
    (Closes: #1106938)

  [ Patrick Franz ]
  * Add missing dependencies for the timezone-picker (Closes: #1120416).
  * Add missing dependency for knighttime (Closes: #1120573).

 -- Patrick Franz <deltaone@debian.org>  Mon, 17 Nov 2025 21:22:08 +0100

plasma-workspace (4:6.5.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Migrate to debian/watch version 5 syntax.
  * Add/update David Edmundson’s key in upstream keyring.
  * New upstream release (6.5.2).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 04 Nov 2025 21:37:51 +0100

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               dh-sequence-sodeps,
               appmenu-gtk3-module,
               breeze-dev (>= 4:6.5.2~),
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               kded6-dev (>= 6.18.0~),
               kirigami-addons-dev (>= 1.0.0~),
               knighttime-dev (>= 6.5.2~),
               kscreenlocker-dev (>= 6.5.2~),
               kwayland-dev (>= 4:6.5.2~),
               kwin-dev (>= 4:6.4.91~),
               libappstreamqt-dev (>= 1.0.0~),
               libcanberra-dev,
               libcrypt-dev,
               libdbus-1-dev,
               libdrm-dev,
               libfontconfig-dev,
               libice-dev,
               libicu-dev,
               libkexiv2qt6-dev,
               libkf6archive-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6baloo-dev (>= 6.2.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6notifyconfig-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6texteditor-dev (>= 6.18.0~),
               libkf6textwidgets-dev (>= 6.18.0~),
               libkf6unitconversion-dev (>= 6.10.0~),
               libkf6userfeedback-dev (>= 6.2.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.4.91~),
               libkscreen-dev (>= 4:6.5.2~),
               libksysguard-dev (>= 4:6.5.2~),
               liblayershellqtinterface-dev (>= 6.5.2~),
               libpackagekitqt6-dev,
               libphonon4qt6-dev (>= 4:4.6.60~),
               libphonon4qt6experimental-dev,
               libpipewire-0.3-dev,
               libplasma-dev (>= 6.5.2~),
               libplasma5support-dev (>= 4:6.5.2~),
               libplasmaactivities-dev (>= 6.5.2~),
               libplasmaactivitiesstats-dev (>= 6.5.2~),
               libpolkit-qt6-1-dev,
               libqalculate-dev (>= 2.0~),
               libquickcharts-dev (>= 6.18.0~),
               libsm-dev,
               libsystemd-dev,
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxft-dev,
               libxrender-dev,
               libxtst-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6~),
               qcoro-qt6-dev,
               qml6-module-org-kde-prison,
               qml6-module-qtquick-virtualkeyboard,
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.9.0~),
               qt6-positioning-dev (>= 6.9.0~),
               qt6-shadertools-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.6.0~),
               qt6-wayland-private-dev (>= 6.6.0~),
               systemd-dev,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/plasma-workspace
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-workspace.git

Package: libbatterycontrol6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace battery control library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the battery control library files.

Package: libklipper6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: plasma-workspace-doc (>= ${source:Version}),
Description: Plasma Workspaces Klipper library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 Klipper is the Plasma clipboard utility. It stores clipboard
 history, and allows you to link clipboard contents to application
 actions.
 .
 This package contains the Klipper library files.

Package: libklookandfeel6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace look and feel helper library
 This tiny library provides shared helpers for determining whether a global
 theme is light or dark. It is used by the look and feel and landing page
 configuration modules.
 .
 In the future, the library can include other global theme related features.
 For example, perhaps the look and feel manager could live in it too.
 .
 This package contains Plasma Workspace libklookandfeel library files.

Package: libkmpris6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace MPRIS library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library can be used to control Media Player Remote Interfacing
 Specification-compatible media players.
 .
 This package contains Plasma Workspace MPRIS library files.

Package: libkfontinst6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace fonts installation library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the fonts installation library files.

Package: libkfontinstui6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace UI components for fonts installation
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides UI components to manage fonts installation
 used in the fonts installation KCM configuration screen.
 .
 This package contains the library files for the fonts installation
 UI components.

Package: libkworkspace6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides the core features of Plasma Workspace like
 display, login and session management.
 .
 This package contains the main Plasma Workspace library files.

Package: libnotificationmanager1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace notification manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library is responsible for listing notifications, closing them
 and interacting with them in Plasma.
 .
 This package contains the notification manager library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace task manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 The task manager library provides various abstractions for listing
 windows, startup tasks and launcher jobs.
 .
 This package contains the task manager library files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 6.2.90~),
         frameworkintegration6,
         gdb,
         iso-codes,
         kactivitymanagerd (>= 6.2.90~),
         kded6,
         kglobalacceld (>= 6.2.90~),
         knighttime (>= 6.4.90~),
         kwin-common (>= 4:6.2.90~),
         kwin-wayland (>= 4:6.2.90~),
         libkf6config-bin,
         milou (>= 4:6.2.90~),
         plasma-desktoptheme,
         plasma-integration (>= 6.2.90~),
         plasma-workspace-data (>= ${source:Version}),
         python3:any,
         qdbus-qt6,
         qt6-location-plugins,
         qt6-wayland,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Provides: notification-daemon, x-session-manager,
Recommends: kde-cli-tools (>= 4:6.2.90~),
            kio-extras,
            kio-fuse,
            ksystemstats (>= 6.2.90~),
            plasma-workspace-doc (>= ${source:Version}),
            powerdevil (>= 4:6.2.90~),
            systemsettings,
Breaks: breeze (<< 4:5.23.90~),
        plasma-desktop (<< 4:6.4.90~),
        plasma-desktop-data (<< 4:5.22.90),
        plasma-workspace-data (<< 4:6.5.2-2),
        plasma-workspace-wayland,
Replaces: breeze (<< 4:5.23.90~),
          plasma-desktop (<< 4:6.4.90~),
          plasma-desktop-data (<< 4:5.22.90),
          plasma-workspace-data (<< 4:6.5.2-2),
          plasma-workspace-wayland,
Description: base for Plasma Desktop, Mobile, and Bigscreen graphical environments
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.

Package: plasma-workspace-data
Architecture: all
Depends: ${misc:Depends},
Breaks: breeze (<< 4:5.23.90~),
        plasma-desktop (<< 4:5.24.0),
        plasma-desktop-data (<< 4:6.4.90~),
        xdg-desktop-portal-kde (<< 6.2.0~),
Replaces: breeze (<< 4:5.23.90~),
          plasma-desktop (<< 4:5.24.0),
          plasma-desktop-data (<< 4:6.4.90~),
          xdg-desktop-portal-kde (<< 6.2.0~),
Description: Plasma Workspace data files
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This contains the data files for Plasma Workspace.

Package: plasma-workspace-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
